<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fw3DViewer: fw3DViewer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fw3DViewer
   &#160;<span id="projectnumber">8.4.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classfw3DViewer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">fw3DViewer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a4c6d6400efc1290faf7175d54df77de5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a4c6d6400efc1290faf7175d54df77de5">shapeClicked</a> (QString shapeName, int x, int y, int z, int transparency)</td></tr>
<tr class="separator:a4c6d6400efc1290faf7175d54df77de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807567de9075f77c2c3abd77c4eb32ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a807567de9075f77c2c3abd77c4eb32ba">unselect</a> ()</td></tr>
<tr class="separator:a807567de9075f77c2c3abd77c4eb32ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7a0f58cbe015dcc91e4e214f548fa528"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a7a0f58cbe015dcc91e4e214f548fa528">addShape</a> (string shapeType, string shapeName, dyn_string geometry)</td></tr>
<tr class="separator:a7a0f58cbe015dcc91e4e214f548fa528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1612ccb1ca2f986c8d5bd0a44c31579c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a1612ccb1ca2f986c8d5bd0a44c31579c">addGroup</a> (string groupName, string groupParentName)</td></tr>
<tr class="separator:a1612ccb1ca2f986c8d5bd0a44c31579c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fd6929e0b24f649711a2d885bc76a19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a2fd6929e0b24f649711a2d885bc76a19">addShapeInGroup</a> (string groupName, string shapeType, string ShapeName, dyn_string property)</td></tr>
<tr class="separator:a2fd6929e0b24f649711a2d885bc76a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9814e06b6758f8fd02ebde86dd991f9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a9814e06b6758f8fd02ebde86dd991f9f">delShape</a> (string shapeOrGroupName)</td></tr>
<tr class="separator:a9814e06b6758f8fd02ebde86dd991f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6c6b8645b33ed51d2cf38da4cb62f5"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#aeb6c6b8645b33ed51d2cf38da4cb62f5">getShapeInfo</a> (string shapeName, dyn_string geometry)</td></tr>
<tr class="separator:aeb6c6b8645b33ed51d2cf38da4cb62f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae112a47402bd30a308ff6c77f20cbb19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#ae112a47402bd30a308ff6c77f20cbb19">setGeometry</a> (string shapeOrGroupName, dyn_string geometry)</td></tr>
<tr class="separator:ae112a47402bd30a308ff6c77f20cbb19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb28a3a47bdb3028e3c03c8c33b8a104"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#aeb28a3a47bdb3028e3c03c8c33b8a104">setColor</a> (string shapeOrGroupName, string color)</td></tr>
<tr class="separator:aeb28a3a47bdb3028e3c03c8c33b8a104"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af59f9140f4dff4c24f3ddc3abd3d3370"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#af59f9140f4dff4c24f3ddc3abd3d3370">setColorRGB</a> (string shapeOrGroupName, string color)</td></tr>
<tr class="separator:af59f9140f4dff4c24f3ddc3abd3d3370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9191f4b6ea597a97e1cdfc6cd5c3b4d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#ac9191f4b6ea597a97e1cdfc6cd5c3b4d">setTransparency</a> (string shapeOrGroupName, string transparency)</td></tr>
<tr class="separator:ac9191f4b6ea597a97e1cdfc6cd5c3b4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408dcb18c6b755efffe3b097ba6c6295"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a408dcb18c6b755efffe3b097ba6c6295">addTexture</a> (string shape, string texturePath)</td></tr>
<tr class="separator:a408dcb18c6b755efffe3b097ba6c6295"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a634d0c5b1fc14201bfceac00779f3803"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a634d0c5b1fc14201bfceac00779f3803">setViewing</a> (bool enable)</td></tr>
<tr class="separator:a634d0c5b1fc14201bfceac00779f3803"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2facbc854e4c7264f180864589b826"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a7b2facbc854e4c7264f180864589b826">setDecoration</a> (bool enable)</td></tr>
<tr class="separator:a7b2facbc854e4c7264f180864589b826"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b866b31758dd4f5da968935113745da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a6b866b31758dd4f5da968935113745da">seekToShape</a> (string name)</td></tr>
<tr class="separator:a6b866b31758dd4f5da968935113745da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df7d193ec2cfdd91764a1b1893d33cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a0df7d193ec2cfdd91764a1b1893d33cd">setSeek</a> (bool enable)</td></tr>
<tr class="separator:a0df7d193ec2cfdd91764a1b1893d33cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab685c6c493b9fd8dfd3d861608d50697"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#ab685c6c493b9fd8dfd3d861608d50697">setBackgroundColor</a> (string color)</td></tr>
<tr class="separator:ab685c6c493b9fd8dfd3d861608d50697"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6370a0e57985289a93e456f7a70f60da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a6370a0e57985289a93e456f7a70f60da">setBackgroundColorRGB</a> (string color)</td></tr>
<tr class="separator:a6370a0e57985289a93e456f7a70f60da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c4f376cff655f07699bc41a64098f62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a1c4f376cff655f07699bc41a64098f62">setCamera</a> (dyn_string cameraSettings)</td></tr>
<tr class="separator:a1c4f376cff655f07699bc41a64098f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca51b85ee9c33385e4c4da21a4905032"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#aca51b85ee9c33385e4c4da21a4905032">getCamera</a> ()</td></tr>
<tr class="separator:aca51b85ee9c33385e4c4da21a4905032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53db056638ef7e7ee2b08d29e75ce810"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a53db056638ef7e7ee2b08d29e75ce810">getGroupShapes</a> (string groupName)</td></tr>
<tr class="separator:a53db056638ef7e7ee2b08d29e75ce810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a678101e3ef497b992fa29fe63bc56f80"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a678101e3ef497b992fa29fe63bc56f80">viewAll</a> ()</td></tr>
<tr class="separator:a678101e3ef497b992fa29fe63bc56f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4499c95ac9574ff4c9b96f8377bc87d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classfw3DViewer.html#a4499c95ac9574ff4c9b96f8377bc87d9">setHeadlight</a> (bool on)</td></tr>
<tr class="separator:a4499c95ac9574ff4c9b96f8377bc87d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1612ccb1ca2f986c8d5bd0a44c31579c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void addGroup </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>groupParentName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a group</p>
<p>Adds a group atached to the group <code>GroupParentName</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">groupName</td><td>Name of the group to create. </td></tr>
    <tr><td class="paramname">groupParentName</td><td>Name of the parent group; note that the toplevel group is called "root". </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7a0f58cbe015dcc91e4e214f548fa528"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void addShape </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>geometry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a shape to the scene.</p>
<p>Add a shape of type <code>ShapeType</code>, with name <code>ShapeName</code> and specified geometry properties to the scene.</p>
<p>The new shape is attached to the toplevel "root" group.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeType</td><td>type of the created shape; see <a class="el" href="index.html#ShapeTypes">Available Shape Types and Their Parameters</a> </td></tr>
    <tr><td class="paramname">shapeName</td><td>name (unique identifier) given to the new shape. </td></tr>
    <tr><td class="paramname">geometry</td><td>the list of geometry properties for the new shape </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2fd6929e0b24f649711a2d885bc76a19"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void addShapeInGroup </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ShapeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>property</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a shape in a specified group</p>
<p>Add a shape of type <code>shapeType</code>, with name <code>shapeName</code> and specified geometry. The new shape is put in the group specified by <code>groupName</code> . If the group <code>groupName</code> does not exist, it is firstly created as a child of the "root" group.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">groupName</td><td>name of the group in which the shape is created </td></tr>
    <tr><td class="paramname">shapeType</td><td>type of the created shape; see <a class="el" href="index.html#ShapeTypes">Available Shape Types and Their Parameters</a> </td></tr>
    <tr><td class="paramname">ShapeName</td><td>name (unique identifier) given to the new shape. </td></tr>
    <tr><td class="paramname">property</td><td>the list of geometry properties for the new shape </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a408dcb18c6b755efffe3b097ba6c6295"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void addTexture </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shape</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>texturePath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a texture to the indicated shape.</p>
<p>Note! You need the "simage" libary (extension to COIN3D) to use this function. More information (including the supported image formats, etc) see <a href="http://www.coin3d.org/lib/simage">http://www.coin3d.org/lib/simage</a></p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shape</td><td>the name of the shape to put the texture on </td></tr>
    <tr><td class="paramname">texturePath</td><td>path and filename of the texture bitmap. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9814e06b6758f8fd02ebde86dd991f9f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delShape </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeOrGroupName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Delete a shape or group of shapes.</p>
<p>Deleting the "root" group clears the scene. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeOrGroupName</td><td>name of the shape or group of shapes to delete. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aca51b85ee9c33385e4c4da21a4905032"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string getCamera </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the actual position and rotation of the camera. </p>
<dl class="section return"><dt>Returns</dt><dd>dyn_string with the format (x, y, z, VrotX, VrotY, VrotZ, Rot). x, y and z are the position vector. VrotX, VrotY and VrotZ are the vector specifying the view direction, and Rot is the rotation (in radians) along the axis specified by the view direction vector. </dd></dl>

</div>
</div>
<a class="anchor" id="a53db056638ef7e7ee2b08d29e75ce810"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string getGroupShapes </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>groupName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the shapes inside a group. </p>
<dl class="section return"><dt>Returns</dt><dd>dyn_string with the list of all the shapes of the specified group and recursively all the shapes of all the groups inside the specified group. </dd></dl>

</div>
</div>
<a class="anchor" id="aeb6c6b8645b33ed51d2cf38da4cb62f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string getShapeInfo </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>geometry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the list of shape properties</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeName</td><td>Name of the shape for which properties are queried </td></tr>
    <tr><td class="paramname">geometry</td><td>dyn_string with the list of property names which are queried; see the list of properties for every shape type in <a class="el" href="index.html#ShapeTypes">Available Shape Types and Their Parameters</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>dyn_string with the values for properties requested in the <code>geometry</code> parameter, in the same order </dd></dl>

</div>
</div>
<a class="anchor" id="a6b866b31758dd4f5da968935113745da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void seekToShape </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Navigate (seek) to specified shape </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the shape to navigate to </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab685c6c493b9fd8dfd3d861608d50697"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Change the background color of the scene with a WinCC OA color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>WinCC OA color name. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6370a0e57985289a93e456f7a70f60da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setBackgroundColorRGB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Change the background color of the scene with any RGB color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>Color specified as a string in the "r,g,b" format, where r,g,b are the values for red, green and blue component, in a range from 0.00 to 1.00. Alternatively, one can also use the standard HTML color coding ("#RRGGBB"). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1c4f376cff655f07699bc41a64098f62"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setCamera </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>cameraSettings</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Move the position and the rotation of the camera  dyn_string with the format (x,y,z,VrotX, VrotY, VrotZ, Rot), for the new rotation of the camera. Values VrotX, VrotY, VrotZ specify the view direction as a vector (range from -1.00 to 1.00) and Rot specifies the rotation angle along the view direction (in radians). </p>

</div>
</div>
<a class="anchor" id="aeb28a3a47bdb3028e3c03c8c33b8a104"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setColor </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeOrGroupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Modify the color of the shape or group of shapes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeOrGroupName</td><td>Name of a group or a shape. </td></tr>
    <tr><td class="paramname">color</td><td>WinCC OA color name. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af59f9140f4dff4c24f3ddc3abd3d3370"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setColorRGB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeOrGroupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Modify the color of the shape or group of shapes, using RGB color</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeOrGroupName</td><td>Name of a group or a shape. </td></tr>
    <tr><td class="paramname">color</td><td>Color of the shape or group, specified as a string in the "r,g,b" format, where r,g,b are the values for red,green and blue component, in a range from 0.00 to 1.00. Alternatively, one can also use the standard HTML color coding ("#RRGGBB") . </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7b2facbc854e4c7264f180864589b826"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setDecoration </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Show/hide "decorations" in the widget.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enable</td><td>true for show, false for hide. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae112a47402bd30a308ff6c77f20cbb19"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setGeometry </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeOrGroupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>geometry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Modify the geometrical properties of a shape or group</p>
<p>If you modify the properties of a group, the changes are applied to all its members; note that the function "cascades" to all subgroups, ie. it will also affect all shapes in all subgroups of the specified group.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeOrGroupName</td><td>Name of a group or a shape. </td></tr>
    <tr><td class="paramname">geometry</td><td>dyn_string with the new properties. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4499c95ac9574ff4c9b96f8377bc87d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setHeadlight </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>on</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Turn the camera headlight on or off </p>

</div>
</div>
<a class="anchor" id="a0df7d193ec2cfdd91764a1b1893d33cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setSeek </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Activate the seek mode.</p>
<p>After the seek mode is activated, the camera navigates ("seeks") to the shape that was clicked in the mouse. Note that the seek mode is deactivated after the first click.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enable</td><td>true for enable the mode, false for disable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac9191f4b6ea597a97e1cdfc6cd5c3b4d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setTransparency </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>shapeOrGroupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>transparency</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Modify the transparency of the shape or group of shapes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeOrGroupName,:</td><td>Name of a group or a shape. </td></tr>
    <tr><td class="paramname">transparency,:</td><td>transparency of the shape or group. Transparency needs to be expressed as a number ranging from 0.00 (completly opaque) to 1.00 (completly trasparent). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a634d0c5b1fc14201bfceac00779f3803"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setViewing </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Switch between the "Viewing" and "Picking" mode of the widget</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enable</td><td>true for Viewing mode, false for Picking mode. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4c6d6400efc1290faf7175d54df77de5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void shapeClicked </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>shapeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>transparency</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Event emited when a shape is clicked in the "Picking" mode.</p>
<p>The function related to the shapeClicked event is called when a shape is clicked while the "Picking" mode is active.</p>
<p>The following parameters, describing the clicked object, are passed to it: </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shapeName</td><td>name of the clicked shape. </td></tr>
    <tr><td class="paramname">x</td><td>current x-position of the shape. </td></tr>
    <tr><td class="paramname">y</td><td>current y-position of the shape. </td></tr>
    <tr><td class="paramname">z</td><td>current z-position of the shape. </td></tr>
    <tr><td class="paramname">transparency</td><td>current transparency of the shape. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a807567de9075f77c2c3abd77c4eb32ba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void unselect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Event emited when a user click outside any shape in select mode. </p>

</div>
</div>
<a class="anchor" id="a678101e3ef497b992fa29fe63bc56f80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void viewAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reposition the camera so we can see the complete scene. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="documentation_8dox.html">documentation.dox</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
